PropertiesConstants
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.util
Class PropertiesConstants

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.util.PropertiesConstants

    public class PropertiesConstants

extends java.lang.Object

Field Summary
`static java.lang.String` | `ANALYSIS_MAX_WORKERS`
`static java.lang.String` | `ANALYZER_BATCH_POOL_SIZE`
`static java.lang.String` | `AQUAMAPS_OBJECT_MAX_WORKERS`
`static java.lang.String` | `BOOLEAN_DEFAULT_VALUE`
`static java.lang.String` | `CUSTOM_QUERY_DELETION`
`static java.lang.String` | `CUSTOM_QUERY_KEEP_ALIVE_MINUTES`
`static java.lang.String` | `DOUBLE_DEFAULT_VALUE`
`static java.lang.String` | `ENABLE_SCRIPT_LOGGING`
`static java.lang.String` | `GEOSERVER_MAX_ATTEMPT`
`static java.lang.String` | `GEOSERVER_WAIT_FOR_DB_MS`
`static java.lang.String` | `GEOSERVER_WAIT_FOR_FT`
`static java.lang.String` | `GEOSERVER_WAIT_FOR_RETRY_MINUTES`
`static java.lang.String` | `HSPEC_GROUP_MAX_WORKERS`
`static java.lang.String` | `HTTP_SERVER_BASE_PATH`
`static java.lang.String` | `HTTP_SERVER_BASE_PORT`
`static java.lang.String` | `INTEGER_DEFAULT_VALUE`
`static java.lang.String` | `ISCRAWLER_INTERVAL_MINUTES`
`static java.lang.String` | `JOB_MAX_WORKERS`
`static java.lang.String` | `LOCAL_BATCH_POOL_SIZE`
`static java.lang.String` | `MONITOR_FREESPACE_THRESHOLD`
`static java.lang.String` | `MONITOR_INTERVAL`
`static java.lang.String` | `PROGRESS_MONITOR_INTERVAL_SEC`
`static java.lang.String` | `PURGE_PENDING_HSPEC_REQUESTS`
`static java.lang.String` | `PURGE_PENDING_OBJECTS`
`static java.lang.String` | `REMOTE_BATCH_POOL_SIZE`

Constructor Summary
`PropertiesConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ISCRAWLER_INTERVAL_MINUTES

    public static final java.lang.String ISCRAWLER_INTERVAL_MINUTES

See Also:
  Constant Field Values

### ENABLE_SCRIPT_LOGGING

    public static final java.lang.String ENABLE_SCRIPT_LOGGING

See Also:
  Constant Field Values

### PURGE_PENDING_OBJECTS

    public static final java.lang.String PURGE_PENDING_OBJECTS

See Also:
  Constant Field Values

### PURGE_PENDING_HSPEC_REQUESTS

    public static final java.lang.String PURGE_PENDING_HSPEC_REQUESTS

See Also:
  Constant Field Values

### CUSTOM_QUERY_KEEP_ALIVE_MINUTES

    public static final java.lang.String CUSTOM_QUERY_KEEP_ALIVE_MINUTES

See Also:
  Constant Field Values

### CUSTOM_QUERY_DELETION

    public static final java.lang.String CUSTOM_QUERY_DELETION

See Also:
  Constant Field Values

### LOCAL_BATCH_POOL_SIZE

    public static final java.lang.String LOCAL_BATCH_POOL_SIZE

See Also:
  Constant Field Values

### ANALYZER_BATCH_POOL_SIZE

    public static final java.lang.String ANALYZER_BATCH_POOL_SIZE

See Also:
  Constant Field Values

### REMOTE_BATCH_POOL_SIZE

    public static final java.lang.String REMOTE_BATCH_POOL_SIZE

See Also:
  Constant Field Values

### PROGRESS_MONITOR_INTERVAL_SEC

    public static final java.lang.String PROGRESS_MONITOR_INTERVAL_SEC

See Also:
  Constant Field Values

### HTTP_SERVER_BASE_PORT

    public static final java.lang.String HTTP_SERVER_BASE_PORT

See Also:
  Constant Field Values

### HTTP_SERVER_BASE_PATH

    public static final java.lang.String HTTP_SERVER_BASE_PATH

See Also:
  Constant Field Values

### MONITOR_INTERVAL

    public static final java.lang.String MONITOR_INTERVAL

See Also:
  Constant Field Values

### MONITOR_FREESPACE_THRESHOLD

    public static final java.lang.String MONITOR_FREESPACE_THRESHOLD

See Also:
  Constant Field Values

### GEOSERVER_WAIT_FOR_DB_MS

    public static final java.lang.String GEOSERVER_WAIT_FOR_DB_MS

See Also:
  Constant Field Values

### GEOSERVER_WAIT_FOR_FT

    public static final java.lang.String GEOSERVER_WAIT_FOR_FT

See Also:
  Constant Field Values

### GEOSERVER_MAX_ATTEMPT

    public static final java.lang.String GEOSERVER_MAX_ATTEMPT

See Also:
  Constant Field Values

### GEOSERVER_WAIT_FOR_RETRY_MINUTES

    public static final java.lang.String GEOSERVER_WAIT_FOR_RETRY_MINUTES

See Also:
  Constant Field Values

### JOB_MAX_WORKERS

    public static final java.lang.String JOB_MAX_WORKERS

See Also:
  Constant Field Values

### AQUAMAPS_OBJECT_MAX_WORKERS

    public static final java.lang.String AQUAMAPS_OBJECT_MAX_WORKERS

See Also:
  Constant Field Values

### HSPEC_GROUP_MAX_WORKERS

    public static final java.lang.String HSPEC_GROUP_MAX_WORKERS

See Also:
  Constant Field Values

### ANALYSIS_MAX_WORKERS

    public static final java.lang.String ANALYSIS_MAX_WORKERS

See Also:
  Constant Field Values

### INTEGER_DEFAULT_VALUE

    public static final java.lang.String INTEGER_DEFAULT_VALUE

See Also:
  Constant Field Values

### DOUBLE_DEFAULT_VALUE

    public static final java.lang.String DOUBLE_DEFAULT_VALUE

See Also:
  Constant Field Values

### BOOLEAN_DEFAULT_VALUE

    public static final java.lang.String BOOLEAN_DEFAULT_VALUE

See Also:
  Constant Field Values

Constructor Detail

### PropertiesConstants

    public PropertiesConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD